Subject: Re: bug#11017: 24.0.94; emacs-lock--kill-emacs-query-functions should ding

From: Juanma Barranquero <[email-masked]>
Date: Mon, 19 Mar 2012 10:04:10 +0100

On Mon, Mar 19, 2012 at 03:20, Stefan Monnier <[email-masked]> wrote:

> Oh, I see.  Yes, the message is seen OK.  And I don't think emacs-lock
> should ding in this case.

Agreed. I have a patch to add a hook, so the user can add ding, or
pop-to-buffer, or do whatever s/he wants. I think that suffices. I'll
send it to this bug's thread.

>  Maybe the code running
> kill-emacs-query-functions should ding, on the other hand,

Perhaps, but again, k-e-q-f has been as it is for a long time with no
complains, and the user can always use a before advice. But I'm not
opposed to it.

    Juanma